KDE 4.7 PyKDE API Reference

- KDE's Python API

# HTMLOListElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Ordered list. See the <a href="http://www.w3.org/TR/REC-html40/struct/lists.html#edef-OL"> OL element definition in HTML 4.0.

## Methods
| __init__ (self)
| __init__ (self, DOM.HTMLOListElement other)
| __init__ (self, DOM.Node other)
bool | compact (self)
| setCompact (self, bool a0)
| setStart (self, long a0)
| setType (self, DOM.DOMString a0)
long | start (self)
DOM.DOMString | type (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLOListElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

bool compact | ( |  | self ) |

Reduce spacing between list items. See the <a href="http://www.w3.org/TR/REC-html40/struct/lists.html#adef-compact"> compact attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

setCompact | ( | self, |
|  | bool | a0
| ) |  |  |

see compact

setStart | ( | self, |
|  | long | a0
| ) |  |  |

see start

setType | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see type

long start | ( |  | self ) |

Starting sequence number. See the <a href="http://www.w3.org/TR/REC-html40/struct/lists.html#adef-start"> start attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

DOM.DOMString type | ( |  | self ) |

Numbering style. See the <a href="http://www.w3.org/TR/REC-html40/struct/lists.html#adef-type-OL"> type attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.